Package: groovy.org.codenarc.rule.junit

## [Groovy] Class JUnitAssertAlwaysSucceedsRule

- groovy.org.codenarc.rule.junit.JUnitAssertAlwaysSucceedsRule

- Rule that checks for JUnit `assert()` method calls with constant arguments such that the assertion always succeeds. This includes:

  - `assertTrue(true)`.
  - `assertTrue('abc')`.
  - `assertTrue(99)`.
  - `assertTrue([123])`.
  - `assertTrue([a:123])`.
  - `assertFalse(false)`.
  - `assertFalse(0)`.
  - `assertFalse('')`.
  - `assertFalse([])`.
  - `assertFalse([:])`.
  - `assertNull(null)`.
  This rule sets the default value of `applyToFilesMatching` to only match source code file paths ending in 'Test.groovy' or 'Tests.groovy'.
  Authors:
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `applyToClassNames`
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### String applyToClassNames

    - #### Class astVisitorClass

    - #### String name

    - #### int priority